#! /usr/bin/python2

# $Id: debug.py,v 1.4 2003/06/25 19:50:31 ensc Exp $
# Copyright (C) 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

import string
import os
import sys
from config import cfg

class progressMeter:
    def __init__(this, msg, step_count=10, skip_count=0):
        this.__counter    = 0
        this.__skips      = skip_count
        this.__skip_count = skip_count
        this.__step_count = (skip_count+1) * step_count

        if cfg.verbosity>=1:
            print >> sys.stderr, msg

    def inc(this, str=None):
        this.__counter = this.__counter+1
        
        if cfg.verbosity>=2:
            if this.__step_count!=0 and (this.__counter % this.__step_count)==0:
                if str==None: str='%i' % this.__counter
                this.__skips = this.__skip_count
            elif this.__skips==0:
                str='.'
                this.__skips = this.__skip_count
            else:
                str=''
                this.__skips = this.__skips-1

            sys.stderr.write(str)

    def __del__(this):
        if cfg.verbosity>=2 and this.__counter>0:
            print >> sys.stderr

class textProgressMeter(progressMeter):
    def getStepText(this): None

def printMemInfo():
    fd=open('/proc/self/status')
    for i in fd.readlines():
        pos = string.find(i, ':')
        if pos==-1: continue
        if i[:pos]=='VmSize': print >> sys.stderr, i

if __name__=='__main__':
    printMemInfo()

### Local Variables:
### mode: python
### End:    
