<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="text"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="packagereport">
digraph "RPM dependencies"
{
<xsl:apply-templates select="package" mode="declarenodes"/>
<xsl:text>
</xsl:text>
<xsl:apply-templates select="package[count(requirements/id)>0]" mode="showdeps"/>}
</xsl:template>

  <xsl:template match="package" mode="declarenodes">  "<xsl:value-of select="@id"/>" [label = "<xsl:value-of select="name"/>\n<xsl:value-of select="version"/>-<xsl:value-of select="release"/>"<xsl:if test='count(badpaths/badpath)>0'>, color = red, style = filled</xsl:if>];
</xsl:template>

  <xsl:template match="package" mode="showdeps">
    <xsl:apply-templates select="requirements/id">
      <xsl:with-param name="source" select="@id"/>
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="requirements/id"><xsl:param name='source'/>  "<xsl:value-of select="$source"/>" <![CDATA[->]]> "<xsl:value-of select="text()"/>";
</xsl:template>

</xsl:stylesheet>
